## org.mortbay.log
Interface Logger

All Known Implementing Classes:
  Slf4jLog, StdErrLog

    public interface Logger

Logging Facade A simple logging facade that is intended simply to capture the style of logging as used by Jetty.

Method Summary
`void` `debug(java.lang.String msg, java.lang.Object arg0, java.lang.Object arg1)`
`void` `debug(java.lang.String msg, java.lang.Throwable th)`
`Logger` `getLogger(java.lang.String name)`
`void` `info(java.lang.String msg, java.lang.Object arg0, java.lang.Object arg1)`
`boolean` `isDebugEnabled()`
`void` `setDebugEnabled(boolean enabled)` Mutator used to turn debug on programatically.
`void` `warn(java.lang.String msg, java.lang.Object arg0, java.lang.Object arg1)`
`void` `warn(java.lang.String msg, java.lang.Throwable th)`

Method Detail

### isDebugEnabled

    boolean isDebugEnabled()

### setDebugEnabled

    void setDebugEnabled(boolean enabled)

  Mutator used to turn debug on programatically. Implementations operation in which case an appropriate warning message shall be generated.

### info

    void info(java.lang.String msg,
              java.lang.Object arg0,
              java.lang.Object arg1)

### debug

    void debug(java.lang.String msg,
               java.lang.Throwable th)

### debug

    void debug(java.lang.String msg,
               java.lang.Object arg0,
               java.lang.Object arg1)

### warn

    void warn(java.lang.String msg,
              java.lang.Object arg0,
              java.lang.Object arg1)

### warn

    void warn(java.lang.String msg,
              java.lang.Throwable th)

### getLogger

    Logger getLogger(java.lang.String name)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.